Skip to main content
GET
/
v1
/
transfers
List transfers
curl --request GET \
  --url https://api.getsly.ai/v1/v1/transfers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "cross_border",
      "status": "pending",
      "amount": "<string>",
      "currency": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "from_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "to_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "from_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "to_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "description": "<string>",
      "memo": "<string>",
      "quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "destination_currency": "<string>",
      "initiated_by_type": "user",
      "initiated_by_id": "<string>",
      "protocol": "<string>",
      "protocol_metadata": {},
      "failure_reason": "<string>",
      "completed_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123
  }
}

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Query Parameters

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
type
enum<string>
Available options:
cross_border,
internal,
stream_start,
stream_withdraw,
stream_cancel,
wrap,
unwrap,
x402
fromDate
string<date-time>
toDate
string<date-time>
walletId
string<uuid>
endpointId
string<uuid>

x402-specific filter

providerId
string<uuid>

x402: endpoint owner account

consumerId
string<uuid>

x402: payer account

currency
string
minAmount
number | null
maxAmount
number | null
initiated_by_id
string
initiated_by_type
enum<string>
Available options:
user,
api_key,
agent,
portal,
system
page
integer
default:1
limit
integer
default:50
Required range: x <= 200

Response

200 - application/json

Paginated transfers

data
object[]
required
pagination
object
required